#include<fstream>
using namespace std;
int main()
{
	ifstream f1("TONGUOC.INP");
	ofstream f2("TONGUOC.OUT");
	int n;
	f1>>n;
	int i;
	long long u=0;
	for(i=1;i*i<=n;i++)
	{
		if(n%i==0) 
		{
			u+=i;
			if((n/i)!=i) u=u+n/i;
		}
	}
	f2<<u;
	f1.close();
	f2.close();
	return 0;
}
